
## 组织
`组织`是指依据既定的目标，对成员的活动进行合理的分工和合作,对组织所拥有的资源进行合理配置和使用以及正确处理人们相互关系的活动。在Masterlab中组织可以是:
- 公司
- 一个部门
- 一个事业部或多个项目构成的产品
>例如 `产品A`由`服务器端子项目`，`Web前端子项目`，`Android端子项目`，`iOS子项目`组成，那么你可以建立一个组织`产品A`，然后在该组织下创建这些子项目，以便于管理。

## 项目
`项目`是指一系列独特的、复杂的并相互关联的活动，这些活动有着一个明确的目标或目的，必须在特定的时间、预算、资源限定内，依据规范完成，是事项的集合。

Masterlab中项目可以是:
- 一个软件研发项目
- 一项市场推广活动
- 一个技术服务/帮助台系统
- 一个需求管理系统
- 一个网站需求调查系统
-  一个问题跟踪系统

>项目关联以下信息：
```
 1. 项目类型
 2. 摘要、描述
 3. 项目中创建的事项
 4. 待办事项
 5. 迭代
 6. 统计
 7. 图表
 8. 设置
```

### 项目类型
Masterlab系统缺省提供的项目类型如下：

      |--   敏捷开发：搜集用户故事、规划迭代、进度管理、团队协作、用例管理、缺陷追踪、评审回顾、总结沉淀
      |--   软件开发：跟踪开发任务和bug。   
      |--   任务管理：快速整理和分派简单任务给你或你的团队。  
 >项目类型关联事项类型方案，事项类型方案包括多个事项类型（如`敏捷开发类型`的项目A使用的是`敏捷开发事项方案`，则A项目包括`Bug、新功能、优化改进、用户故事、技术任务、史诗任务、任务、子任务`等事项类型）

## 项目角色
  > Masterlab 作为一个项目管理和团队协作管理系统，可以被企业管理人员，项目管理人员，产品经理，开发人员，分析人员，测试人员和其他人员所广泛使用。
- `Administrators`：项目管理者
  >可以针对登记进 Masterlab系统中问题，进行评估，分配缺陷；还可以通过 Masterlab系统的统计报告了解项目进展情况以及团队的工作量、工作效率等信息。
- `Developers（开发人员）`
  >在 Masterlab 系统中查看分配给自己的问题，及时进行处理，填写处理状态并提交
- `QA（测试人员）`
  >根据测试情况，在 Masterlab 系统中及时快速的记录问题并对开发人员处理后的问题进行验证和跟踪。
- `Users（普通用户）`
  >表示项目中的普通用户。
- `PO（产品经理）`
  >Product Owner（产品负责人）是一个非常重要的角色，产品负责人是管理产品待办事项列表、确保团队工作价值的唯一责任人。他负责维护产品待办事项列表，确保每个成员明晰列表内容、明确哪些条目具有最高优先级，从而制定迭代的事项内容。

## 工作流

### 工作流
  >`工作流（WorkFlow）`就是工作流程的计算模型，即将工作流程中的工作如何前后组织在一起的逻辑和规则在计算机中以恰当的模型进行表示并对其实施计算。工作流要解决的主要问题是：为实现某个业务目标，在多个参与者之间，利用计算机，按某种预定规则自动传递

  >Masterlab提供了`图形化`、`可拖拽`的工作流定制功能，用户可以通过鼠标拖拽设计工作流流程节点，在中体现在事项在生命周期内不同状态之间的变化。每个状态以矩形框表示。每个工作流跳转由箭头指引方向。如下图所示

![](http://pm.masterlab.vip/doc/images/workflow_01.png)

### 工作流关联项目
  >设计好工作流以后，我们需要将工作流加入到一个具体的工作流方案中去，通过工作流方案和项目绑定，这样一个工作流才能在项目中运转起来。系统已经默认了项目类型对应的工作流方案，当然我们可以在项目设置中更改工作流方案。

## 事项
  >`事项`可以是软件的缺陷，一个项目的具体任务，一个需要解决的技术难题或者是需要审批的报销单据等。

>事项关联以下信息：
```
 1. 事项类型
 2. 摘要、描述
 3. 事项优先级
 4. 事项状态
 5. 事项的解决结果
 6. 事项的经办人
 7. 更多关联如模块、标签、开始时间、截止时间等
```

### 事项类型
Masterlab 缺省提供的事项类型如下：

      |--   Bug：测试过程、维护过程发现影响系统运行的缺陷
      |--   新功能：对系统提出的新功能   
      |--   优化改进：对现有系统功能的改进   
      |--   用户故事：从用户的角度来描述用户渴望得到的功能。一个好的用户故事包括三个要素：1. 角色；2. 活动　3. 商业价值 
      |--   技术任务：技术性的任务,如架构设计,数据库选型
      |--   史诗任务：大型的或大量的工作，包含许多用户故事
      |--   任务：需要做的工作
      |--   子任务：任务的子任务

### 事项类型方案
Masterlab 缺省提供的事项类型方案如下：

      |--   默认事项方案：项目类型为『项目管理』
      |--   敏捷开发事项方案：项目类型为『敏捷开发』
      |--   瀑布模型的事项方案：项目类型为『软件开发』（该项目类型暂时未开放）
      |--   流程管理事项方案：项目类型为『流程管理』（该项目类型暂时未开放）
      |--   任务管理事项解决方案：项目类型为『任务管理』

### 事项优先级
优先级来表示问题的严重级别。缺省的优先级为'紧急'，'重要'，'高'，'中'，'低'5个级别：

      |--   紧急：阻塞开发或测试的工作进度，或影响系统无法运行的错误
      |--   重要：系统崩溃，丢失数据或内存溢出等严重错误、或者必需完成的任务   
      |--   高：主要的功能无效、新增功能建议   
      |--   中：功能部分无效或对现有系统的改进 
      |--   低：拼写错误，文本未对齐等不影响功能和流程的问题

### 事项状态
  >每个事项有一个状态，用来表明问题所处的阶段，问题通过开始于 open 状态，然后开始处理/Progress，再到解决/Resolved，然后被关闭/Closed。根据情况的不同，您可以根据项目来定制问题状态以及工作流。Masterlab 系统提供的缺省状态如下：

      |--  open（打开）：表示事项被提交等待有人处理。
      |--  in_progress（进行中）：表示事项在处理当中，尚未完成。
      |--  reopen（重新打开）：事项重新被打开,重新进行解决。
      |--  resolved（已解决）：事项已经已经被开发人员处理完。
      |--  closed（已关闭）：问题处理结果确认后，置于关闭状态。
      |--  done（完成）：事项已经已经被开发人员处理完，并且被产品或测试人员确认
      |--  in_review（回顾）：该事项正在回顾或检查中
      |--  delay（延迟处理）：延迟处理

### 事项的解决结果
  >一个问题可以用多种方式解决，系统管理员可以在 Masterlab 系统中定制解决结果。Masterlab系统默认的解决结果如下：

      |--  Fixed（已修复） ：问题已经解决。
      |--  not_fix（不能修复） ：事项未解决。
      |--  require_duplicate（ 需要重现） ：事项需要有重现步骤。
      |--  not_fix（不能修复） ：事项未解决。
      |--  not_complete（ 信息不完整） ：事项信息描述不完整。
      |--  not_reproduce（不能重现）：事项不能重现。
      |--  done（完成）：事项已经解决并确认了。
      |--  issue_not_exists（ 问题不存在） ：事项不存在。
      |--  delay（延迟处理） ：事项将推迟处理。

### 事项的权重
  >权重是指事项的重要程度，不同于事项的优先级，权重值由用户输入数值定义，数值越大，权重越高。